/* These styles are used in the backend editor AND in the Theme (frontend) */

/* Most themes nowadays provide an extra stylesheet of classes which WordPress itself then */
/* applies to the backend editor TinyMCE. However, custom CSS - set in Plugins, in the WP  */
/* Customizer or in Theme options, will normally not be reflected to TinyMCE. So better to */
/* put such styles all here, where they will apply to TinyMCE *and* the frontend.          */

/* The goal is not only to make the visual editor display look as much like the frontend as    */
/* possible, but also to make sure that all important CSS classes are available for convenient */
/* selection in TinyMCEs "Formats" dropdown - so do not forget to configure the TinyMCE styles */
/* dropdown with elements to match those here.                                                 */

/* If you do not need this file then upload an empty one (zero bytes) which will not be loaded at all. */

/* Suggested general non-tag-specific visual styles */

.list       { margin: 0.35rem 0; }
.topless    { margin-top: 0 !important; }
.bottomless { margin-bottom: 0 !important; }
.beforelist { margin-bottom: 0.5rem; }
.lastitemem { margin-bottom: 0; padding-bottom: 1.3rem; }

strong { font-weight: bold; }
/* Revert to normal text within strong */
.notstrong { font-weight: normal; }

.smaller { font-size: 0.95rem; line-height: 1.25; }
.small   { font-size: 0.89rem; line-height: 1.2; }

.screen-reader-text, .dispnone { display: none; }

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    font-weight: 600 !important;
}

/* Append your site-specific styles here */

/*--------------------------------------------------------------
## Personnal add
--------------------------------------------------------------*/
.img-biseaute {
	clip-path: polygon(0 10%, 0% 100%, 100% 100%, 100% 0%);
}
.biseaute-right {
	clip-path: polygon(00 0, 0% 100%, 90% 100%, 100% 0%);
}

@media screen and (min-width: 768px){
	.img-biseaute {
		clip-path: polygon(10% 0, 0% 100%, 100% 100%, 100% 0%);
	}
}


.rounded-4 {
	border-radius: 0.5rem;
}

.rounded-5 {
	border-radius: 1rem;
}

.rounded-6 {
	border-radius: 2rem;
}


.stretched-link-parent a {
	text-decoration: none !important;
	color: inherit !important;
	position: initial !important;
}

.stretched-link-parent a::after {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1;
    content: "";
}

/*--------------------------------------------------------------
## Page No Header
--------------------------------------------------------------*/
.page-template-page-no-header .entry-title {
	display: none !important;
}

/*--------------------------------------------------------------
## Global custom on the style
--------------------------------------------------------------*/

@media screen and (min-width: 768px){
	.site-branding {
		padding: unset !important;
		min-width: 0 !important;
        width: 200px !important;
		margin-right: 0px !important;
	} 
	
	.site-content {
		padding-top: 72px !important;
	}
	
	.site-branding-wrapper {
		max-width: unset !important;
		padding-left: 20px !important;
		padding-right: 20px !important;
	}
	
	.site-branding-wrapper {
		justify-content: normal !important;
	}
	
	.main-navigation {
		width: 100% !important;
		text-align: left !important;
	}
	
    .main-navigation {
		margin-left :0px !important;
	}
}

.main-navigation {
	text-transform: unset !important;
}

.btn-primary,
.btn-primary:hover,
.btn-primary:focus,
.btn-primary.active:focus{
	color: white !important
}

.main-navigation ul ul {
	background-color: white !important;
}
.main-navigation ul ul li a,
.main-navigation ul ul li a:hover,
.main-navigation ul ul li a:visited,
.main-navigation ul ul li a:visited:hover,
.main-navigation ul ul li a:visited:focus{
	color: unset !important;
}

h1, h2, h3, h4, h5, h6 {
	/*font-weight: unset !important;*/
	text-transform: unset !important;
}

.page-template-front-page .site-main > .hentry:first-of-type .entry-content {
	font-size: unset !important;
}

.no-sidebar:not(.page-template-full-width-page):not(.page-template-front-page) .content-area {
	/* float: none; */
	/* margin: 0 auto; */
	max-width: unset !important;
}

@media screen and (min-width: 768px) {
	.main-navigation ul ul {
		padding-top: 1.7rem;
		box-shadow: none !important;
	}
	.main-navigation ul ul li {
		border: 1px solid rgba(153, 153, 153, 0.2);
		border-top: 0;
	}
	.main-navigation ul ul li:last-of-type {
		border-bottom: 1px solid rgba(153, 153, 153, 0.2) !important;
	}
}
* {
    font-family: Inter !important;
}


/*--------------------------------------------------------------
## Disable some style for the editor
--------------------------------------------------------------*/

.wp-block-group,
.wp-block-column,
.wp-block-columns {
	margin-bottom: unset !important; 
}

/** for editor, disable the margin **/
html :where(.wp-block) {
   /* margin-bottom: unset !important;*/
   /* margin-top: unset !important;*/
    max-width: 1040px !important;
	margin: auto;
}

/*--------------------------------------------------------------
## Wp Lastest Post customisation
--------------------------------------------------------------*/
.custom-latest-posts .wplp_listposts .wpcu-front-box.bottom .wplp-box-item { padding-bottom: 64px;}
.custom-latest-posts .wpcu_block_title { display: none } 
.custom-latest-posts .wplp_listposts .category { color:var(--bs-blue); }
.custom-latest-posts .wplp_listposts .date {position: absolute; bottom: 0px;}
.custom-latest-posts .wplp_listposts .author {position: absolute; bottom: 20px; font-weight: 500;}
.custom-latest-posts .wplp_listposts .text {
	font-size:16px;
}
	
.custom-latest-posts .wplp_listposts a.title { 
	font-size:18px;
	font-weight:700;
	line-height:24px;
	padding:12px 0 12px 0;
	margin-top: 18px !important;
}





/*--------------------------------------------------------------
## Add on for bootstrap
--------------------------------------------------------------*/
.opacity-0 {
	opacity: 0;
}
.h-0 {
	height:0;
}

/*--------------------------------------------------------------
## In editor - widget
--------------------------------------------------------------*/
.blocks-widgets-container .editor-styles-wrapper {
    max-width: unset;
	font-family: unset;
    font-size: unset;
}

/*--------------------------------------------------------------
## widget header front page
--------------------------------------------------------------*/
.header-front-page .paragraphe {
    max-width: 100%;
}

@media screen and (min-width: 768px) {
	.header-front-page .paragraphe {
		max-width: 80%;
	}
	.header-front-page .mh-500 img {
		max-height: 500px;
    	object-position: bottom;
	}
}

/*--------------------------------------------------------------
## widget header buttons
--------------------------------------------------------------*/
.widget-header-buttons i {
    margin-left: 0.5rem !important;
	vertical-align: text-bottom !important;
}

.widget-header-buttons a {
    font-size:14px;
}


/*--------------------------------------------------------------
## Filter & Grid customisation
--------------------------------------------------------------*/

/** search **/
.custom-filter-grid .search-layout {
	display: flex;
	justify-content: center;
}
@media screen and (min-width: 768px) {
	.custom-filter-grid .search-layout .search-form {
		width: 40%;
	}
}
.custom-filter-grid .input-group>.input-group-prepend>.input-group-text {
    border-radius: 8px 0px 0px 8px;
	background-color: unset;
    border-right: none;
	color: var(--bs-gray) !important;
}
.custom-filter-grid .input-group>.field-search {
    border-radius: 0px 8px 8px 0px !important;
	border-left: none !important;
	padding:0 !important;
	margin:0;
}
.custom-filter-grid .search-layout .search-form .clear i {
	display: none;
}
.custom-filter-grid .search-layout .search-form .clear::after{
	content:'\00D7';
}

/** filters **/
.custom-filter-grid .filter-layout .filter-entry {
	border-bottom: 1px solid lightgrey;
	flex-wrap: nowrap !important;
	overflow-x: scroll;
    -webkit-overflow-scrolling: touch;
    white-space: nowrap;
	-ms-overflow-style: -ms-autohiding-scrollbar; 
	display: flex;
    justify-content: flex-start;
    align-items: center;
    list-style: none;
    margin: 0 0 20px 0;
    padding: 0;
}
.custom-filter-grid .filter-layout .filter-entry::-webkit-scrollbar {
    display: none;
 }
.custom-filter-grid .filter-layout .filter-entry .filter-item {}
.custom-filter-grid .filter-layout .filter-entry .filter-item .filter-link {
	background-color: unset !important;
	color: grey !important;
	font-weight: 400 !important;
	display: inline-flex;
    align-items: center;
    padding: 10px 15px;
    font-size: 16px;
    text-decoration: none;
    line-height: normal;
    margin: 0 10px 10px 0;
}
.custom-filter-grid .filter-layout .filter-entry .filter-item:has(>.filter-link.active) {
	border-bottom: 2px solid var(--bs-blue);
}
.custom-filter-grid .filter-layout .filter-entry .filter-item .filter-link.active {
	color: var(--bs-blue) !important;
}

.custom-filter-grid .sort-container .dropdown-filter .menu-active {
	border: 1px solid lightgrey !important;
}

/** posts **/
.custom-filter-grid .container-posts .post-item  { 
	padding: unset !important;
	border: unset !important;
	padding-bottom: 48px !important;
	position: relative;
}
.custom-filter-grid .container-posts .post-item .media img {
	width: 100%;
    height: 220px;
    object-fit: cover;
    transition: .3s;
}
.custom-filter-grid .container-posts .post-item .category {
	margin-bottom: 5px;
}
.custom-filter-grid .container-posts .post-item .category .cat-inner {
	color: var(--bs-blue) !important;
	background: unset !important;
	padding-left: 0px !important;
	font-weight: 600;
	margin: 0px !important;
	font-size: 12px;
    line-height: 1.3;
    border: none;
    display: inline-block;
    padding: 3px 10px;
}
.custom-filter-grid .container-posts .post-item .title {
	font-size: 22px;
    font-weight: 600;
    margin-bottom: 10px;
    line-height: 1.3;
}
.custom-filter-grid .container-posts .post-item .excerpt {
	overflow: hidden;
    text-overflow: ellipsis;
	max-height: 2.8em;
	color: grey;
}
.custom-filter-grid .container-posts .post-item .read-more { display: none; }
.custom-filter-grid .container-posts .post-item .user-infos {
	display: flex;
	position: absolute;
	bottom: 0px;
}
.custom-filter-grid .container-posts .post-item .avatar {
	border-radius: 50% !important;
	height: 32px;
}
.custom-filter-grid .container-posts .post-item .user-infos-part {
	margin-left: 10px;
}
.custom-filter-grid .container-posts .post-item .date {
	display: block !important;
	color: grey;
}
.custom-filter-grid .container-posts .post-item .author {
	display: block !important;
	font-weight: 500;
}

/** pagination **/
.custom-filter-grid .pagination-numeric {
	padding-top: 1rem !important;
	border-top: 1px solid lightgrey !important;
}

.custom-filter-grid .pagination-numeric li a {
    border: none !important;
	color: var(--bs-gray) !important;
}

.custom-filter-grid .pagination-numeric li:has(.current){
	background-color: #cfe4ff;
    border-radius: 50%;
}

.custom-filter-grid .pagination-numeric li .current {
	font-size: 14px !important;
	padding: 10px 10px !important; 
	height: 34px !important;
    width: 34px !important;
}

.custom-filter-grid .pagination-numeric li:has(.prev){
	position: absolute;
	left: 0;
}
.custom-filter-grid .pagination-numeric li:has(.next){
	position: absolute;
	right: 0;
}

@media screen and (max-width: 768px) {
	.custom-filter-grid .pagination-numeric li {
		margin-right: 5px !important; 
	}
	.custom-filter-grid .pagination-numeric li:has(.prev){
		margin-left: -25px !important; 
	}
	.custom-filter-grid .pagination-numeric li:has(.next){
		margin-right: -25px !important; 
	}
}

/** navigation menu **/

.main-navigation .menu-item-has-children > a {
	pointer-events: none;
	padding-left: 25px !important;
}

@media screen and (max-width: 1200px) {
	body:has(.main-navigation.toggled) {
		overflow: hidden;
	}
	.main-navigation span.header-buttons{
    	display: none !important;
	}
	.main-navigation.toggled span.header-buttons{
    	display: block !important;
		padding-bottom: 1em;
	}
	.main-navigation.toggled span.header-buttons .widget-header-buttons div{
		flex-wrap: wrap;
		display: block;
	}
	.main-navigation.toggled span.header-buttons .widget-header-buttons a{
		margin-left: 5% !important;
		margin-right: 5% !important;
	}
	.main-navigation.toggled span.header-buttons .widget-header-buttons a:first-child{
		padding-left: 0px;
	}
	.site-branding-wrapper .main-navigation {
		clear: none;
		display: flex;
		width: auto;
		float: right;
	}
	.site-branding-wrapper .site-branding {
		display: flex;
    	float: left;
	}
	
	.main-navigation .menu-main-menu-container {
		display: none;
	}
	
	.main-navigation.toggled  .menu-main-menu-container {
		display: block;
	}
	
	body:has(div#wpadminbar) .site-branding-wrapper .menu-main-menu-container {
		/*top: 140px;*/
		/*padding-bottom: 140px;*/
	}

	.site-branding-wrapper .menu-main-menu-container {
		overflow: scroll;
    	padding-bottom: 100px;
		position: absolute;
		width: 100%;
		top: 100px;
		left: 0px;
		z-index: 2;
		background-color: rgba(0, 0, 0, 0.3);
    	height: 100vh;
	}
	
	.site-branding-wrapper .menu-main-menu-container #top-menu {
		background-color: white;
		box-shadow: 0px 5px 5px grey;
	}
	
	.main-navigation .menu-item-has-children > a {
		padding: 1em 5%;
		font-weight: 600;
		pointer-events: none;
	}
	
	.main-navigation li li a {
		padding-left: 10% !important;
	}
	
	.site-branding-wrapper .menu-main-menu-container li ul.sub-menu{
		/*display:none;*/
		visibility: hidden;
		opacity: 0;
		height: 0px;
		transition: opacity 1s  ease;
	}
	.site-branding-wrapper .menu-main-menu-container li.active ul.sub-menu{
		/*display:block;*/
		visibility: visible;
  		opacity: 1;
		height: auto;
	}
	
	.main-navigation .menu-item-has-children > a:after {
		font-size: 16px;
		vertical-align: middle;
		text-align: center;
		display: inline-block;
		font-family: "Genericons";
		font-style: normal;
		font-weight: normal;
		font-variant: normal;
		line-height: 1;
		text-decoration: inherit;
		text-transform: none;
		-moz-osx-font-smoothing: grayscale;
		-webkit-font-smoothing: antialiased;
		speak: none;
	}
	
	.main-navigation .menu-item-has-children.active > a:after {
		content: "\f432";
	}
	
	.main-navigation .menu-item-has-children > a:after {
		content: "\f431";
		float: right;
		color: grey;
	}
	
	.main-navigation li:first-child {
		border-top: 1px solid #dddddd !important;
	}
	
	.main-navigation li {
		border-top: unset !important;
	}
	
	.menu-toggle:hover {
		border-color: var(--bs-indigo) !important;
		color: var(--bs-indigo) !important;
	}
	.menu-toggle {
		display: inline-block !important;
		padding-right: 0;
		border: none;
		border-color: var(--bs-indigo) !important;
		color: var(--bs-indigo) !important;
	}
	
	.main-navigation.toggled .menu-toggle .bi-list,
	.main-navigation .menu-toggle .bi-x-lg{
		display: none !important;
	}
	.main-navigation .menu-toggle .bi-list,
	.main-navigation.toggled .menu-toggle .bi-x-lg{
		display: flex !important;
	}
	.sticky-wrapper.sticking {
		/*height: 105px;
		box-shadow: 0 5px 10px 3px rgba(0, 0, 0, 0.1);
		border-bottom: solid 1px rgba(0, 0, 0, 0.05);*/
	}
	
	.site-header {
		position: sticky;
		top: 0;
		z-index: 2;
		background-color: white;
		height: 105px;
		box-shadow: 0 5px 10px 3px rgba(0, 0, 0, 0.1);
		border-bottom: solid 1px rgba(0, 0, 0, 0.05);
	}
}


/** footer **/
.site-footer {
    background-color: #1D2939 !important;
}

.site-footer .footer-area{
		margin-left: auto;
		margin-right: auto;
		max-width: 1040px;
}

.site-footer .footer-area .widget {
    margin: 0;
}

.site-footer .footer-area .wp-block-separator {
	margin:0;
}


.site-footer .footer-area ul.menu li.menu-item-has-children {
	display: inline-flex;
	flex-direction: column;
	margin-right: 0.8em;
	margin-top: 0;
	border: none;
	padding: 0;
}
.site-footer .footer-area ul.menu li.menu-item-has-children > a{
	font-family: Inter;
	font-size: 12px;
	font-style: normal;
	font-weight: 600;
	color:  var(--bs-secondary); !important;
	text-decoration: none;
}

.site-footer .footer-area ul.menu li.menu-item-has-children ul.sub-menu{
	margin: 16px 0 0 0;
	padding: 0;
}

@media screen and (max-width: 1200px) {
	.site-footer {
		padding: 0 5%;	
	}
	.site-footer .footer-area ul.menu li.menu-item-has-children {
		display: block;
	}
}

.site-footer .footer-area ul.menu li.menu-item-has-children ul.sub-menu li{
	border:none;
	padding: 0;
	margin: 0 0 12px 0;
}


.site-footer .footer-area ul.menu li.menu-item-has-children ul.sub-menu li > a{
	font-family: Inter;
	font-size: 12px;
	font-style: normal;
	font-weight: 600;
	color:  lightgray; !important;
	text-decoration: none;
}
